using Microsoft.AspNetCore.Components;
using System.Collections.Generic;
using System.IO;

namespace FastReport.Web.Blazor.Export
{
    public class BlazorPageData
    {

        public float Width
        {
            get;
            set;
        }

        public float Height
        {
            get;
            set;
        }

        public int PageNumber
        {
            get;
            set;
        }

        public List<Stream> Pictures
        {
            get;
        }

        /// <summary>
        /// For internal use only.
        /// </summary>
        public List<string> Guids
        {
            get;
        }

        public BlazorPageData()
        {
            Pictures = new List<Stream>();
            Guids = new List<string>();
        }
    }
}
